﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Sockets;

namespace BaseLib
{
    public class PortScan
    {
        public static bool Connect(string IPAddress, int Port , int WaitSeconds)
        {
            TcpClient TcpScan = new TcpClient();
            try
            {
                // Try to connect
                bool ConnectSuccess = false;
                TcpScan.BeginConnect(IPAddress, Port, null, null);
                for (int i = 0; i <= WaitSeconds; i++) 
                {
                    System.Threading.Thread.Sleep(10); 
                    if (TcpScan.Connected)
                    {
                        ConnectSuccess = true;
                        break;
                    }
                }
                return ConnectSuccess;

            }
            catch
            {
                return false; 
            }
            finally
            {
                TcpScan.Close(); 
            }
        }
    }
}
